liblatex-driver-perl_0.200.4-1_all.deb


Advertisement

Description

liblatex-driver-perl - driver module that encapsulates the details of formatting a LaTeX document

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main i386
Package name liblatex-driver-perl
Package version 0.200.4
Package release 1
Package architecture all
Package type deb
Installed size 178 B
Download size 39.29 KB
Official Mirror ftp.br.debian.org
The LaTeX::Driver module encapsulates the details of invoking the LaTeX
programs to format a LaTeX document. Formatting with LaTeX is complicated;
there are potentially many programs to run and the output of those programs
must be monitored to determine whether further processing is required.
LaTeX::Driver runs the required commands in the directory specified, either
explicitly with the dirname option or implicitly by the directory part of
basename, or in the current directory. As a result of the processing up to a
dozen or more intermediate files are created. These can be removed with the
cleanup method.
The LaTeX::Driver module takes care of running and re-running latex on
a LaTeX document so that forward references, tables of contents, and
lists of figures and tables are resolved.  It will also run bibtex and
makeindex if it detects that a bibliography or in index have been
specified, and will re-run latex again one or more times until the
formatting of the document has stabilized.

Alternatives

Package Version Architecture Repository
liblatex-driver-perl_0.200.4-1_all.deb 0.200.4 all Debian Main
liblatex-driver-perl - - -

Requires

Name Value
ghostscript -
libclass-accessor-perl -
libexception-class-perl -
libfile-pushd-perl -
libfile-slurp-perl -
libreadonly-perl -
libtemplate-perl -
perl -
texlive-binaries -
texlive-latex-base -

Download

Type URL
Binary Package liblatex-driver-perl_0.200.4-1_all.deb
Source Package liblatex-driver-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install liblatex-driver-perl deb package:
    # sudo apt-get install liblatex-driver-perl

Files

Path
/usr/bin/latex2dvi
/usr/bin/latex2pdf
/usr/bin/latex2ps
/usr/share/doc/liblatex-driver-perl/TODO
/usr/share/doc/liblatex-driver-perl/changelog.Debian.gz
/usr/share/doc/liblatex-driver-perl/changelog.gz
/usr/share/doc/liblatex-driver-perl/copyright
/usr/share/lintian/overrides/liblatex-driver-perl
/usr/share/man/man1/latex2dvi.1p.gz
/usr/share/man/man1/latex2pdf.1p.gz
/usr/share/man/man1/latex2ps.1p.gz
/usr/share/man/man3/LaTeX::Driver.3pm.gz
/usr/share/man/man3/LaTeX::Driver::FilterProgram.3pm.gz
/usr/share/perl5/LaTeX/Driver.pm
/usr/share/perl5/LaTeX/Driver.pm.new
/usr/share/perl5/LaTeX/Driver/FilterProgram.pm

Changelog

2014-05-13 - gregor herrmann <gregoa@debian.org>
liblatex-driver-perl (0.200.4-1) unstable; urgency=low
* Team upload.
[ Salvatore Bonaccorso ]
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Change search.cpan.org based URIs to metacpan.org based URIs
[ gregor herrmann ]
* New upstream release.
* Strip trailing slash from metacpan URLs.
* Don't run author tests anymore.
* debian/copyright: update copyright years and holders.
Add third-party files. Update Upstream-Contact.
* Update patches.
Remove accept-interactive-questions.patch (not relevant anymore), refresh
others (renamed files, removed files, ...).
* Don't install README anymore.
Just a text version of the POD/manpage.
* Add (build) dependency on libfile-pushd-perl.
* Explicitly enable tests that are by default skipped now.
Add build dependency on texlive-xetex.
* Declare compliance with Debian Policy 3.9.5.
2012-08-31 - Salvatore Bonaccorso <carnil@debian.org>
liblatex-driver-perl (0.12-1) unstable; urgency=low
* Imported Upstream version 0.12
2012-08-31 - Salvatore Bonaccorso <carnil@debian.org>
liblatex-driver-perl (0.11-1) unstable; urgency=low
* Imported Upstream version 0.11
* Add dependency for Readonly.
Add Build-Depends-Indep and Depends on libreadonly-perl.
* Update debian/copyright file.
Update format to copyright-format 1.0 as released together with Debian
policy 3.9.3.
Update copyright years for upstream files and debian/* packaging files.
* Bump Standards-Version to 3.9.3
* Drop fix-spelling-errors-in-manpage.patc patch.
Patch was applied upstream.
* Refresh fix-manpage-has-bad-whatis-entry.patch (offset)
* Update patch headers for accept-interactive-questions.patch
* Update patch headers for fix-manpage-latex2dvi.patch
* Update patch headers for fix-manpage-latex2pdf.patch
* Update patch headers for fix-manpage-latex2ps.patch
2011-09-18 - Salvatore Bonaccorso <carnil@debian.org>
liblatex-driver-perl (0.10-1) unstable; urgency=low
[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.
[ Salvatore Bonaccorso ]
* debian/copyright: Replace DEP5 Format-Specification URL from
svn.debian.org to anonscm.debian.org URL.
* Imported Upstream version 0.10
* Email change: Salvatore Bonaccorso -> carnil@debian.org
* Update upstream copyright years information
* Update copyright for debian/* packaging
* Convert to '3.0 (quilt)' source package format
* Drop quilt framework.
Remove --with quilt arguments for dh in debian/rules.
Remove quilt Build-Depends in debian/control.
* Remove debian/README.source.
Not needed anymore to refer to quilt documentation for modification to
upstream source due to switch to '3.0 (quilt)' source package format.
* Bump Debhelper compat level to 8
* Bump versioned Build-Depends on debhelper to (>= 8)
* Make Build-Depends-Indep on libtest-pod-perl unversioned.
No need to make the version required explicit, as the version is
already satisfied in oldstable.
* Make Build-Depends-Indep on libtest-pod-coverage-perl unversioned.
No need to make the version required explicit, as the version is
already satisfied in oldstable.
* Bump Standards-Version to 3.9.2.
* Refresh accept-interactive-questions.patch patch
* Update fix-spelling-errors-in-manpage.patch patch (offset).
Fix another spelling error in LaTeX::Driver manpage found by lintian
spell check.
* Update lintian overrides file.
False-positive on capitalization-error-in-description warning.

See Also

Package Description
liblatex-encode-perl_0.091.6-1_all.deb Perl module to encode characters for LaTeX formatting
liblatex-table-perl_1.0.6-2_all.deb Perl extension for the automatic generation of LaTeX tables
liblatex-tom-perl_1.00-1_all.deb A module for parsing, analyzing and manipulating latex documents
liblavfile-2.1-0_2.1.0+debian-3_i386.deb MJPEG capture/editing/replay and MPEG encoding toolset (library)
liblavjpeg-2.1-0_2.1.0+debian-3_i386.deb MJPEG capture/editing/replay and MPEG encoding toolset (library)
liblavplay-2.1-0_2.1.0+debian-3_i386.deb MJPEG capture/editing/replay and MPEG encoding toolset (library)
liblaxjson-dev_1.0.2-1_i386.deb relaxed streaming JSON parser library (development files)
liblaxjson1_1.0.2-1_i386.deb relaxed streaming JSON parser library
liblayout-java-doc_0.2.10-2_all.deb Java layouting framework -- documentation
liblayout-java_0.2.10-2_all.deb Java layouting framework
liblayout-manager-perl_0.34-1_all.deb module for managing layout of graphical components
liblbfgs-dev_1.10-5_i386.deb L-BFGS solver for unconstrained nonlinear optimization problems
liblbfgs0_1.10-5_i386.deb L-BFGS solver for unconstrained nonlinear optimization problems
liblcas-dev_1.3.19-2_i386.deb Local Centre Authorization Service development files
liblcas0_1.3.19-2_i386.deb Local Centre Authorization Service runtime
Advertisement
Advertisement